From 0633b2ce261d43b60343c11000582b4ad444a0a5 Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Thu, 24 Aug 2023 18:11:32 +0300
Subject: [PATCH v2 3/3] Fix misleading comment on StartBackgroundWorker().

StartBackgroundWorker() is in fact called in the child process, pretty
early in the child process initialization. I guess you could interpret
"called from postmaster" to mean that, but it seems wrong to me.
---
 src/backend/postmaster/bgworker.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/backend/postmaster/bgworker.c b/src/backend/postmaster/bgworker.c
index cc66c61dee7..ece5ae0daac 100644
--- a/src/backend/postmaster/bgworker.c
+++ b/src/backend/postmaster/bgworker.c
@@ -743,8 +743,7 @@ bgworker_die(SIGNAL_ARGS)
 /*
  * Start a new background worker
  *
- * This is the main entry point for background worker, to be called from
- * postmaster.
+ * This is the main entry point for a background worker process
  */
 void
 StartBackgroundWorker(void)
-- 
2.39.2

